﻿using System;

namespace Life.Misc
{
    [Serializable]
    public struct Position
    {
        public Position(int x, int y)
        {
            X = x;
            Y = y;
        }

        public readonly int X;
        public readonly int Y;

        public override string ToString()
        {
            return $"({X}, {Y})";
        }
    }
}